Devuan bug report logs - #177
eudev postinst checks for running udev

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: KatolaZ <katolaz@freaknet.org>

Date: Sun, 21 Jan 2018 20:03:02 UTC

Severity: normal

Tags: ascii

Done: KatolaZ <katolaz@freaknet.org>

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.devuan.org
From: owner@bugs.devuan.org (Devuan bug Tracking System)
To: KatolaZ <katolaz@freaknet.org>
Cc: owner@bugs.devuan.org
Subject: bug#177: marked as done (eudev postinst checks for running udev)
Message-ID: <handler.177.D177.151899060732516.ackdone@bugs.devuan.org>
In-Reply-To: <20180218214517.GW16176@katolaz.homeunix.net>
References: <20180218214517.GW16176@katolaz.homeunix.net> <20180121195931.GX26595@katolaz.homeunix.net>
Precedence: bulk
X-Devuan-PR-Message: closed 177
X-Devuan-PR-Package: eudev
X-Devuan-PR-Keywords: ascii
Your message dated Sun, 18 Feb 2018 21:45:17 +0000
with message-id <20180218214517.GW16176@katolaz.homeunix.net>
and subject line fixed
has caused the attached bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Devuan Bugs Owner
(administrator, Devuan bugs database)

--------------------------------------
Received: (at submit) by bugs.devuan.org; 21 Jan 2018 20:00:03 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Sun, 21 Jan 2018 21:00:03 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 307CEF609A7
Date: Sun, 21 Jan 2018 19:59:31 +0000
From: KatolaZ <katolaz@freaknet.org>
To: submit@bugs.devuan.org
Subject: eudev postinst checks for running udev
Message-ID: <20180121195931.GX26595@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="V7+qRHQ7TlL1tdSt"
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org


--V7+qRHQ7TlL1tdSt
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

Package: eudev
Version: 3.2.2-9

eudev fails to configure if udev is not running. The postinst script
tries to stop udev first by calling /etc/init.d/udev. If that does not
exist, the configure fails.

Must include a check in the postinst script to detect the presence of
udev or any other device manager, and stop it accordingly.

--V7+qRHQ7TlL1tdSt
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlpk8SMACgkQXyCzrgtfBi+5ewCdH+ecTEeSaVNaVxr/yhLS6fG4
hckAnROrlnHxYwBodix170UaPxM6yyiq
=EMCf
-----END PGP SIGNATURE-----

--V7+qRHQ7TlL1tdSt--
---------------------------------------
Received: (at 177-done) by bugs.devuan.org; 18 Feb 2018 21:50:07 +0000
Return-Path: <katolaz@freaknet.org>
Delivered-To: devuanbugs@dyne.org
Received: from tupac3.dyne.org [195.169.149.119]
	by fulcanelli with IMAP (fetchmail-6.3.26)
	for <debbugs@localhost> (single-drop); Sun, 18 Feb 2018 22:50:07 +0100 (CET)
Received: from [127.0.0.1] (localhost [127.0.0.1])
	(Authenticated sender: katolaz@freaknet.org)
	with ESMTPSA id 60E8AF609AA
Date: Sun, 18 Feb 2018 21:45:17 +0000
From: KatolaZ <katolaz@freaknet.org>
To: 177-done@bugs.devuan.org
Subject: fixed
Message-ID: <20180218214517.GW16176@katolaz.homeunix.net>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="GMaUlEtIIvUQCAd3"
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Status: No, score=-1.0 required=5.0 tests=ALL_TRUSTED
	autolearn=disabled version=3.4.1
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on tupac3.dyne.org


--GMaUlEtIIvUQCAd3
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

fixed in 3.2.2-11


--GMaUlEtIIvUQCAd3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEUEARECAAYFAlqJ8+0ACgkQXyCzrgtfBi+35wCfZScz0qPiPWGjF1FgnjWcmGkz
WvMAmICF4dhImqXlTcu2COtNqlhuKiM=
=uM74
-----END PGP SIGNATURE-----

--GMaUlEtIIvUQCAd3--

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Apr 21 10:45:55 2021;